using System;
using System.Linq;

namespace ProblemB
{
    class Program
    {
        static long GetC(int x, int y, int a, int b)
        {
            return (long)x * a + (long)b * y;
        }

        static int[] GetOneEqualition(int x, int y, int a1, int b1)
        {
            for (int a = -1000; a < 1000; a++)
            {
                for (int b = -1000; b < 1000; b++)
                {
                    if (a == 0 || b == 0 || a == b || a == a1 && b == b1 || a * b1 == a1 * b)
                        continue;
                    var c = GetC(x, y, a, b);
                    if (a == c || b == c)
                        continue;
                    if (c >= -99999 && c <= 99999 && c != 0)
                        return new int[] { a, b, (int)c };
                }
            }
            return null;
        }

        static int[] Solve(int x, int y)
        {
            if (y == 0 && x == 0)
            {
                return null;
            }
            else
            {
                if (x == 0)
                {
                    return new int[]
                    {
                        1,1,y,
                        1,-1,-y,
                    };
                }
                else if (y == 0)
                {
                    return new int[]
                    {
                        1,1,x,
                        -1,1,-x,
                    };
                }
                else
                {
                    var eq1 = GetOneEqualition(x, y, 100000, 100000);
                    if (eq1 == null) return null;
                    var eq2 = GetOneEqualition(x, y, eq1[0], eq1[1]);
                    if (eq2 == null) return null;
                    return eq1.Concat(eq2).ToArray();
                }
            }

        }

        static void Main(string[] args)
        {
            int[] pars = Console.ReadLine().Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries).Select(_ => int.Parse(_)).ToArray();
            int x = pars[0], y = pars[1];
            var res = Solve(x, y);
            if (res == null)
                Console.WriteLine("no");
            else
                Console.WriteLine("yes\n{0} {1} {2}\n{3} {4} {5}", res.Cast<object>().ToArray());
        }
    }
}
