using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace ProblemE
{
    class Program
    {
        int n, m;
        int[] vals;

        IEnumerable<Tuple<int, bool>> EnumerateExtrumums()
        {
            int pp = -100;
            bool lastType = false;
            for (int i = 1; i < n; i++)
            {
                int d = vals[i] - vals[i - 1];
                if (d == 0)
                    continue;
                var sig = d / Math.Abs(d);
                if (pp != sig)
                {
                    pp = sig;
                    lastType = sig != 1;
                    if (sig == 1)
                        yield return new Tuple<int, bool>(i - 1, false);
                    else
                        yield return new Tuple<int, bool>(i - 1, true);
                }
            }
            yield return new Tuple<int, bool>(n - 1, !lastType);
        }

        int SolveOptimal()
        {
            int money = 0, actives = 0;
            int day = 0;
            var extrumm = EnumerateExtrumums().ToArray();
            foreach (var ext in extrumm)
            {
                int p = ext.Item1;
                bool isMax = ext.Item2;
                for (; day <= p; day++)
                {
                    money += m;
                    if (isMax && day != -1)
                    {
                        var x = money / vals[day];
                        money -= x * vals[day];
                        actives += x;
                    }

                }
                if (isMax)
                {
                    money += actives * vals[p];
                    actives = 0;
                }
                else
                {
                    var x = money / vals[p];
                    money -= x * vals[p];
                    actives += x;
                }
            }
            money += (vals.Length - day) * m;

            {
                var x = money / vals[vals.Length - 1];
                money -= x * vals[vals.Length - 1];
                actives += x;
            }

            return actives;
        }

        int SolveUsual()
        {
            int num = 0;
            int actives = 0;
            for (int i = 0; i < n; i++)
            {
                num += m;
                var x = num / vals[i];
                num -= x * vals[i];
                actives += x;
            }
            return actives;
        }

        string Solve(int n, int m, int[] vals)
        {
            this.n = n; this.m = m; this.vals = vals;
            return string.Format("{0} {1}", SolveUsual(), SolveOptimal());
        }

        static void Main(string[] args)
        {
            string[] lines = File.ReadAllLines("input.txt");

            int[] pars = lines[0].Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries).Select(_ => int.Parse(_)).ToArray();
            int n = pars[0], m = pars[1];
            int[] vals = lines[1].Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries).Select(_ => int.Parse(_)).ToArray();
            Console.WriteLine(new Program().Solve(n, m, vals));
        }
    }
}
