using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ProblemF
{
    class Program
    {
        void BitBlt(char[,] src, char[,] dst, int x, int y)
        {
            for (int i = 0; i < src.GetLength(0); i++)
                for (int j = 0; j < src.GetLength(1); j++)
                    dst[x + i, y + j] = src[i, j];
        }

        char[,] DrawTriangle(int n)
        {
            if (n == 1)
            {
                string[] str = new string[] { @" /\ ", @"/__\" };
                char[,] res = new char[4, 2];
                for (int i = 0; i < res.GetLength(0); i++)
                    for (int j = 0; j < res.GetLength(1); j++)
                        res[i, j] = str[j][i];
                return res;
            }
            else
            {
                var prev = DrawTriangle(n - 1);
                char[,] buf = new char[prev.GetLength(0) * 2, prev.GetLength(1) * 2];
                BitBlt(prev, buf, prev.GetLength(0) / 2, 0);
                BitBlt(prev, buf, 0, prev.GetLength(1));
                BitBlt(prev, buf, prev.GetLength(0), prev.GetLength(1));
                return buf;
            }
        }

        string GetRow(char[,] buf, int y)
        {
            StringBuilder sb = new StringBuilder();
            for (int i = 0; i < buf.GetLength(0); i++)
                sb.Append(buf[i, y] == '\0' ? ' ' : buf[i, y]);
            return sb.ToString();
        }

        string[] Solve(int n)
        {
            var tr = DrawTriangle(n);
            return Enumerable.Range(0, tr.GetLength(1)).Select(_ => GetRow(tr, _).TrimEnd()).ToArray();
        }


        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine().Trim());
            var tri = new Program().Solve(n);
            foreach (var l in tri)
                Console.WriteLine(l);
        }
    }
}
